#ifndef WIN32
static void *opcode_targets[256] = {
	&&_unknown_opcode,
	&&TARGET_POP_TOP,
	&&TARGET_ROT_TWO,
	&&TARGET_ROT_THREE,
	&&TARGET_DUP_TOP,
	&&TARGET_ROT_FOUR,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&TARGET_NOP,
	&&TARGET_UNARY_POSITIVE,
	&&TARGET_UNARY_NEGATIVE,
	&&TARGET_UNARY_NOT,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&TARGET_UNARY_INVERT,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&TARGET_BINARY_POWER,
	&&TARGET_BINARY_MULTIPLY,
	&&_unknown_opcode,
	&&TARGET_BINARY_MODULO,
	&&TARGET_BINARY_ADD,
	&&TARGET_BINARY_SUBTRACT,
	&&TARGET_BINARY_SUBSCR,
	&&TARGET_BINARY_FLOOR_DIVIDE,
	&&TARGET_BINARY_TRUE_DIVIDE,
	&&TARGET_INPLACE_FLOOR_DIVIDE,
	&&TARGET_INPLACE_TRUE_DIVIDE,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&TARGET_STORE_MAP,
	&&TARGET_INPLACE_ADD,
	&&TARGET_INPLACE_SUBTRACT,
	&&TARGET_INPLACE_MULTIPLY,
	&&_unknown_opcode,
	&&TARGET_INPLACE_MODULO,
	&&TARGET_STORE_SUBSCR,
	&&TARGET_DELETE_SUBSCR,
	&&TARGET_BINARY_LSHIFT,
	&&TARGET_BINARY_RSHIFT,
	&&TARGET_BINARY_AND,
	&&TARGET_BINARY_XOR,
	&&TARGET_BINARY_OR,
	&&TARGET_INPLACE_POWER,
	&&TARGET_GET_ITER,
	&&TARGET_STORE_LOCALS,
	&&TARGET_PRINT_EXPR,
	&&TARGET_LOAD_BUILD_CLASS,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&TARGET_INPLACE_LSHIFT,
	&&TARGET_INPLACE_RSHIFT,
	&&TARGET_INPLACE_AND,
	&&TARGET_INPLACE_XOR,
	&&TARGET_INPLACE_OR,
	&&TARGET_BREAK_LOOP,
	&&TARGET_WITH_CLEANUP,
	&&_unknown_opcode,
	&&TARGET_RETURN_VALUE,
	&&TARGET_IMPORT_STAR,
	&&_unknown_opcode,
	&&TARGET_YIELD_VALUE,
	&&TARGET_POP_BLOCK,
	&&TARGET_END_FINALLY,
	&&TARGET_POP_EXCEPT,
	&&TARGET_STORE_NAME,
	&&TARGET_DELETE_NAME,
	&&TARGET_UNPACK_SEQUENCE,
	&&TARGET_FOR_ITER,
	&&TARGET_UNPACK_EX,
	&&TARGET_STORE_ATTR,
	&&TARGET_DELETE_ATTR,
	&&TARGET_STORE_GLOBAL,
	&&TARGET_DELETE_GLOBAL,
	&&TARGET_DUP_TOPX,
	&&TARGET_LOAD_CONST,
	&&TARGET_LOAD_NAME,
	&&TARGET_BUILD_TUPLE,
	&&TARGET_BUILD_LIST,
	&&TARGET_BUILD_SET,
	&&TARGET_BUILD_MAP,
	&&TARGET_LOAD_ATTR,
	&&TARGET_COMPARE_OP,
	&&TARGET_IMPORT_NAME,
	&&TARGET_IMPORT_FROM,
	&&TARGET_JUMP_FORWARD,
	&&TARGET_JUMP_IF_FALSE_OR_POP,
	&&TARGET_JUMP_IF_TRUE_OR_POP,
	&&TARGET_JUMP_ABSOLUTE,
	&&TARGET_POP_JUMP_IF_FALSE,
	&&TARGET_POP_JUMP_IF_TRUE,
	&&TARGET_LOAD_GLOBAL,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&TARGET_CONTINUE_LOOP,
	&&TARGET_SETUP_LOOP,
	&&TARGET_SETUP_EXCEPT,
	&&TARGET_SETUP_FINALLY,
	&&_unknown_opcode,
	&&TARGET_LOAD_FAST,
	&&TARGET_STORE_FAST,
	&&TARGET_DELETE_FAST,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&TARGET_RAISE_VARARGS,
	&&TARGET_CALL_FUNCTION,
	&&TARGET_MAKE_FUNCTION,
	&&TARGET_BUILD_SLICE,
	&&TARGET_MAKE_CLOSURE,
	&&TARGET_LOAD_CLOSURE,
	&&TARGET_LOAD_DEREF,
	&&TARGET_STORE_DEREF,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&TARGET_CALL_FUNCTION_VAR,
	&&TARGET_CALL_FUNCTION_KW,
	&&TARGET_CALL_FUNCTION_VAR_KW,
	&&TARGET_EXTENDED_ARG,
	&&_unknown_opcode,
	&&TARGET_LIST_APPEND,
	&&TARGET_SET_ADD,
	&&TARGET_MAP_ADD,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode,
	&&_unknown_opcode
};

#define CGOTO(x) goto *x;

#else

static int opcode_target_init=0;
static void *opcode_targets[256];


#define SETGOTO( varx, labelx ) { \
									register void *__tmpptr__; \
									_asm { mov __tmpptr__, OFFSET labelx } \
									(varx) = __tmpptr__; \
								}

#define CGOTO( varx )   {	\
							register void *__tmpptr__ =  (varx); \
							_asm { jmp DWORD PTR __tmpptr__ } \
						}

if (opcode_target_init==0) 
{
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_POP_TOP);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_ROT_TWO);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_ROT_THREE);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_DUP_TOP);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_ROT_FOUR);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_NOP);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_UNARY_POSITIVE);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_UNARY_NEGATIVE);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_UNARY_NOT);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_UNARY_INVERT);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_BINARY_POWER);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_BINARY_MULTIPLY);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_BINARY_MODULO);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_BINARY_ADD);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_BINARY_SUBTRACT);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_BINARY_SUBSCR);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_BINARY_FLOOR_DIVIDE);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_BINARY_TRUE_DIVIDE);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_INPLACE_FLOOR_DIVIDE);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_INPLACE_TRUE_DIVIDE);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_STORE_MAP);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_INPLACE_ADD);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_INPLACE_SUBTRACT);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_INPLACE_MULTIPLY);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_INPLACE_MODULO);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_STORE_SUBSCR);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_DELETE_SUBSCR);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_BINARY_LSHIFT);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_BINARY_RSHIFT);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_BINARY_AND);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_BINARY_XOR);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_BINARY_OR);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_INPLACE_POWER);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_GET_ITER);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_STORE_LOCALS);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_PRINT_EXPR);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_LOAD_BUILD_CLASS);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_INPLACE_LSHIFT);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_INPLACE_RSHIFT);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_INPLACE_AND);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_INPLACE_XOR);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_INPLACE_OR);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_BREAK_LOOP);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_WITH_CLEANUP);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_RETURN_VALUE);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_IMPORT_STAR);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_YIELD_VALUE);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_POP_BLOCK);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_END_FINALLY);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_POP_EXCEPT);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_STORE_NAME);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_DELETE_NAME);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_UNPACK_SEQUENCE);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_FOR_ITER);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_UNPACK_EX);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_STORE_ATTR);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_DELETE_ATTR);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_STORE_GLOBAL);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_DELETE_GLOBAL);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_DUP_TOPX);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_LOAD_CONST);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_LOAD_NAME);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_BUILD_TUPLE);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_BUILD_LIST);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_BUILD_SET);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_BUILD_MAP);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_LOAD_ATTR);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_COMPARE_OP);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_IMPORT_NAME);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_IMPORT_FROM);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_JUMP_FORWARD);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_JUMP_IF_FALSE_OR_POP);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_JUMP_IF_TRUE_OR_POP);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_JUMP_ABSOLUTE);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_POP_JUMP_IF_FALSE);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_POP_JUMP_IF_TRUE);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_LOAD_GLOBAL);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_CONTINUE_LOOP);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_SETUP_LOOP);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_SETUP_EXCEPT);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_SETUP_FINALLY);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_LOAD_FAST);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_STORE_FAST);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_DELETE_FAST);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_RAISE_VARARGS);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_CALL_FUNCTION);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_MAKE_FUNCTION);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_BUILD_SLICE);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_MAKE_CLOSURE);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_LOAD_CLOSURE);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_LOAD_DEREF);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_STORE_DEREF);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_CALL_FUNCTION_VAR);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_CALL_FUNCTION_KW);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_CALL_FUNCTION_VAR_KW);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_EXTENDED_ARG);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_LIST_APPEND);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_SET_ADD);
	SETGOTO(opcode_targets[opcode_target_init++], TARGET_MAP_ADD);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
	SETGOTO(opcode_targets[opcode_target_init++], _unknown_opcode);
};

#endif